diff --git lhapdf/lhapdf.spec lhapdf/lhapdf.spec.tmp
index d31fce1313..e1d25224bf 100644
--- lhapdf/lhapdf.spec
+++ lhapdf/lhapdf.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:		lhapdf
 Version:	5.9.1
-Release:	20%{?dist}
+Release:	21%{?dist}
 Summary:	Les Houches Accord PDF Interface
 Group:		System Environment/Libraries
 
@@ -86,12 +86,13 @@ Requires(postun):	octave
 This package provides Octave bindings for LHAPDF.
 %endif
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:	Les Houches Accord PDF Interface - Python module
 Group:		Applications/Engineering
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 This package provides Python bindings for LHAPDF.
 
 %package pdfsets-minimal
@@ -234,7 +235,7 @@ rm -rf %{buildroot}
 %doc lhapdf-octave-example1.m
 %endif
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{_bindir}/lhapdf-getdata
 %{_bindir}/lhapdf-query
 %{_mandir}/man1/lhapdf-getdata.1*
@@ -251,6 +252,10 @@ rm -rf %{buildroot}
 %doc ccwrap/doxy/html COPYING
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.9.1-21
+- Python 2 subpackage renamed to python2-lhapdf
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.1-20
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libbytesize/libbytesize.spec libbytesize/libbytesize.spec.tmp
index 3632c4fda0..ef6d3dd1bd 100644
--- libbytesize/libbytesize.spec
+++ libbytesize/libbytesize.spec.tmp
@@ -12,7 +12,7 @@
 
 Name:        libbytesize
 Version:     0.11
-Release:     2%{?dist}
+Release:     3%{?dist}
 Summary:     A library for working with sizes in bytes
 License:     LGPLv2+
 URL:         https://github.com/rhinstaller/libbytesize
@@ -44,13 +44,14 @@ Requires: %{name}%{?_isa} = %{version}-%{release}
 This package contains header files and pkg-config files needed for development
 with the libbytesize library.
 
-%package -n python-%{realname}
+%package -n python2-%{realname}
 Summary: Python 2 bindings for libbytesize
-Provides: python2-%{realname} = %{version}-%{release}
+%{?python_provide:%python_provide python2-%{realname}}
+%{?python_provide:%python_provide python2-libbytesize}
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Requires: python-six
 
-%description -n python-%{realname}
+%description -n python2-%{realname}
 This package contains Python 2 bindings for libbytesize making the use of
 the library from Python 2 easier and more convenient.
 
@@ -97,7 +98,7 @@ find %{buildroot} -type f -name "*.la" | xargs %{__rm}
 %{_datadir}/gtk-doc/html/libbytesize
 %endif
 
-%files -n python-%{realname}
+%files -n python2-%{realname}
 %dir %{python2_sitearch}/bytesize
 %{python2_sitearch}/bytesize/*
 
@@ -109,6 +110,10 @@ find %{buildroot} -type f -name "*.la" | xargs %{__rm}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.11-3
+- Python 2 subpackage renamed to python2-libbytesize
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libcap-ng/libcap-ng.spec libcap-ng/libcap-ng.spec.tmp
index 9405bb371d..83a40d73de 100644
--- libcap-ng/libcap-ng.spec
+++ libcap-ng/libcap-ng.spec.tmp
@@ -3,7 +3,7 @@
 Summary: An alternate posix capabilities library
 Name: libcap-ng
 Version: 0.7.8
-Release: 4%{?dist}
+Release: 5%{?dist}
 License: LGPLv2+
 Group: System Environment/Libraries
 URL: http://people.redhat.com/sgrubb/libcap-ng
@@ -26,14 +26,17 @@ Requires: pkgconfig
 The libcap-ng-devel package contains the files needed for developing
 applications that need to use the libcap-ng library.
 
-%package python
+%package -n python2-libcap-ng
+%{?python_provide:%python_provide python2-libcap-ng}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for libcap-ng library
 License: LGPLv2+
 Group: Development/Libraries
 BuildRequires: python-devel swig
 Requires: %{name} = %{version}-%{release}
 
-%description python
+%description -n python2-libcap-ng
 The libcap-ng-python package contains the bindings so that libcap-ng
 and can be used by python applications.
 
@@ -111,7 +114,7 @@ rm -rf $RPM_BUILD_ROOT
 %attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
 %{_libdir}/pkgconfig/libcap-ng.pc
 
-%files python
+%files -n python2-libcap-ng
 %defattr(-,root,root,-)
 %attr(755,root,root) %{python2_sitearch}/_capng.so
 %{python_sitearch}/capng.py*
@@ -129,6 +132,10 @@ rm -rf $RPM_BUILD_ROOT
 %attr(0644,root,root) %{_mandir}/man8/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.8-5
+- Python 2 subpackage renamed to python2-libcap-ng
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.8-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libdnet/libdnet.spec libdnet/libdnet.spec.tmp
index 682b4865cb..cff7f3cd42 100644
--- libdnet/libdnet.spec
+++ libdnet/libdnet.spec.tmp
@@ -2,7 +2,7 @@ Summary:	Simple portable interface to lowlevel networking routines
 Name:		libdnet
 
 Version:	1.12
-Release:	20%{?dist}
+Release:	21%{?dist}
 
 License:	BSD
 URL:		http://code.google.com/p/%{name}/
@@ -34,12 +34,15 @@ Requires:	%{name} = %{version}-%{release}
 %description progs
 %{summary}.
 
-%package python
+%package -n python2-libdnet
+%{?python_provide:%python_provide python2-libdnet}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python bindings for libdnet
 Requires:	%{name} = %{version}-%{release}
 BuildRequires:	python-devel
 
-%description python
+%description -n python2-libdnet
 %{summary}.
 
 %prep
@@ -83,10 +86,14 @@ popd
 %{_sbindir}/*
 %{_mandir}/man8/*.8*
 
-%files python
+%files -n python2-libdnet
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.12-21
+- Python 2 subpackage renamed to python2-libdnet
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-20
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libftdi/libftdi.spec libftdi/libftdi.spec.tmp
index a6e4775c3a..a6c322cfde 100644
--- libftdi/libftdi.spec
+++ libftdi/libftdi.spec.tmp
@@ -1,6 +1,6 @@
 Name:		libftdi
 Version:	1.3
-Release:	7%{?dist}
+Release:	8%{?dist}
 Summary:	Library to program and control the FTDI USB controller
 
 Group:		System Environment/Libraries
@@ -32,12 +32,15 @@ Requires:	pkgconfig
 %description devel
 Header files and static libraries for libftdi
 
-%package python
+%package -n python2-libftdi
+%{?python_provide:%python_provide python2-libftdi}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Libftdi library Python binding
 Group:		Development/Libraries
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-libftdi
 Libftdi Python Language bindings.
 
 %package c++
@@ -124,7 +127,7 @@ rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/libftdi1/example.conf
 %{_libdir}/pkgconfig/libftdi1.pc
 %{_mandir}/man3/*
 
-%files python
+%files -n python2-libftdi
 %{python2_sitearch}/*
 
 %files c++
@@ -142,6 +145,10 @@ rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/libftdi1/example.conf
 %postun c++ -p /sbin/ldconfig
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-8
+- Python 2 subpackage renamed to python2-libftdi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libhid/libhid.spec libhid/libhid.spec.tmp
index e57c19843b..75ae9d2f6d 100644
--- libhid/libhid.spec
+++ libhid/libhid.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:		libhid
 Version:	0.2.17
-Release:	24%{?dist}
+Release:	25%{?dist}
 Summary:	User space USB HID access library
 Group:		System Environment/Libraries
 License:	GPLv2
@@ -46,12 +46,15 @@ You need this if you want to develop an application with libhid
 
 
 
-%package python
+%package -n python2-libhid
+%{?python_provide:%python_provide python2-libhid}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for the libhid libraries
 Group: System Environment/Libraries
 Requires: %{name} = %{version}-%{release}
 
-%description python
+%description -n python2-libhid
 This package provides the hid module and wrapper for python which provides 
 access to USB HID devices.
 
@@ -96,11 +99,15 @@ rm -rf $RPM_BUILD_ROOT%{python_sitearch}/*/*.la
 %{_includedir}/*
 %{_libdir}/*.so
 
-%files python
+%files -n python2-libhid
 %doc swig/README
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.17-25
+- Python 2 subpackage renamed to python2-libhid
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-24
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libhocr/libhocr.spec libhocr/libhocr.spec.tmp
index c58494a567..b4f9c0fe23 100644
--- libhocr/libhocr.spec
+++ libhocr/libhocr.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:		libhocr
 Version:	0.10.17
-Release:	25%{?dist}
+Release:	26%{?dist}
 Summary:	A Hebrew optical character recognition library
 
 Group:		System Environment/Libraries
@@ -66,14 +66,17 @@ Requires:	hspell
 %description    gtk
 The %{name}-gtk package contains a GUI application that uses %{name}.
 
-%package        python
+%package        -n python2-libhocr
+%{?python_provide:%python_provide python2-libhocr}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python bindings for %{name}
 Group:		System Environment/Libraries
 Requires:	%{name} = %{version}-%{release}
 Requires:	python > 2.5
 Provides:	python(hocr) = %{version}-%{release}
 
-%description    python
+%description    -n python2-libhocr
 The %{name}-python package contains python binding for %{name}.
 
 
@@ -170,7 +173,7 @@ rm -rf %{buildroot}
 %{_datadir}/pixmaps/hocr1-48.png
 %{_datadir}/sane-pygtk
 
-%files python
+%files -n python2-libhocr
 %defattr(-,root,root,-)
 # For noarch packages: sitelib
 %{python_sitelib}/*.py*
@@ -180,6 +183,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.17-26
+- Python 2 subpackage renamed to python2-libhocr
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.17-25
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libieee1284/libieee1284.spec libieee1284/libieee1284.spec.tmp
index 381b394c72..3c9a44f0b7 100644
--- libieee1284/libieee1284.spec
+++ libieee1284/libieee1284.spec.tmp
@@ -1,7 +1,7 @@
 Summary: A library for interfacing IEEE 1284-compatible devices
 Name: libieee1284
 Version: 0.2.11
-Release: 22%{?dist}
+Release: 23%{?dist}
 License: GPLv2+
 Group: System Environment/Libraries
 URL: http://cyberelk.net/tim/libieee1284/
@@ -23,12 +23,15 @@ Group: Development/Libraries
 The header files, static library, libtool library and man pages for
 developing applications that use libieee1284.
 
-%package python
+%package -n python2-libieee1284
+%{?python_provide:%python_provide python2-libieee1284}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python extension module for libieee1284
 Requires: %{name} = %{version}-%{release}
 Group: System Environment/Libraries
 
-%description python
+%description -n python2-libieee1284
 Python extension module for libieee1284.  To use libieee1284 with Python,
 use 'import ieee1284'.
 
@@ -67,7 +70,7 @@ rm -rf %{buildroot}
 %{_libdir}/*.so
 %{_mandir}/*/*
 
-%files python
+%files -n python2-libieee1284
 %defattr(-,root,root)
 %{_libdir}/python*/*/*.so
 
@@ -76,6 +79,10 @@ rm -rf %{buildroot}
 %postun -p /sbin/ldconfig
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.11-23
+- Python 2 subpackage renamed to python2-libieee1284
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.11-22
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libiptcdata/libiptcdata.spec libiptcdata/libiptcdata.spec.tmp
index 92266715c3..e5634b1cc7 100644
--- libiptcdata/libiptcdata.spec
+++ libiptcdata/libiptcdata.spec.tmp
@@ -4,7 +4,7 @@
 
 Name: libiptcdata
 Version: 1.0.4
-Release: 17%{?dist}
+Release: 18%{?dist}
 Summary: IPTC tag library
 
 Group: Development/Libraries
@@ -33,13 +33,16 @@ Requires: pkgconfig
 The libiptcdata-devel package contains the libraries and include files
 that you can use to develop libiptcdata applications.
 
-%package python
+%package -n python2-libiptcdata
+%{?python_provide:%python_provide python2-libiptcdata}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for libiptcdata
 Group: Development/Libraries
 Requires: %{name} = %{version}-%{release}
 BuildRequires: python-devel
 
-%description python
+%description -n python2-libiptcdata
 The libiptcdata-python package contains a Python module that allows Python
 applications to use the libiptcdata API for reading and writing IPTC
 metadata in images.
@@ -78,13 +81,17 @@ rm -rf $RPM_BUILD_ROOT
 %{_includedir}/libiptcdata
 %{_datadir}/gtk-doc/html/libiptcdata
 
-%files python
+%files -n python2-libiptcdata
 %defattr(-,root,root)
 %doc python/README
 %doc python/examples/*
 %{python_sitearch}/*.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.4-18
+- Python 2 subpackage renamed to python2-libiptcdata
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libkdtree++/libkdtree++.spec libkdtree++/libkdtree++.spec.tmp
index e497c4fcf1..e7c9c9cd85 100644
--- libkdtree++/libkdtree++.spec
+++ libkdtree++/libkdtree++.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           libkdtree++
 Version:        0.7.0
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        C++ template container implementation of kd-tree sorting
 URL:            http://libkdtree.alioth.debian.org/
 License:        Artistic 2.0
@@ -36,11 +36,14 @@ BuildArch:      noarch
 %{summary}.
 
 
-%package python
+%package -n python2-libkdtree++
+%{?python_provide:%python_provide python2-libkdtree++}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python language bindings for libkdtree++
 Group:          Development/Languages
 
-%description python
+%description -n python2-libkdtree++
 %{summary}.
 
 
@@ -101,7 +104,7 @@ install -pm 0644 python-bindings/kdtree.py %{buildroot}%{python_sitelib}/
 %{_includedir}/kdtree++/
 %{_datadir}/pkgconfig/*.pc
 
-%files python
+%files -n python2-libkdtree++
 %doc COPYING AUTHORS README NEWS TODO ChangeLog
 %{python_sitearch}/_kdtree.so
 %{python_sitelib}/kdtree.py
@@ -114,6 +117,10 @@ install -pm 0644 python-bindings/kdtree.py %{buildroot}%{python_sitelib}/
 %doc examples/test*.cpp
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-16
+- Python 2 subpackage renamed to python2-libkdtree++
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git liblinear/liblinear.spec liblinear/liblinear.spec.tmp
index 73c8f7b7a4..2c870b24d0 100644
--- liblinear/liblinear.spec
+++ liblinear/liblinear.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:			liblinear
 Version:		1.94
-Release:		12%{?dist}
+Release:		13%{?dist}
 Summary:		Library for Large Linear Classification
 %{?el5:Group:		System Environment/Libraries}
 
@@ -98,21 +98,22 @@ applications that use %{name}.
 %doc COPYRIGHT README* {predict,train}.c *.html *.pdf
 
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:		Python bindings for %{name}
 %{?el5:Group:		System Environment/Libraries}
 
 BuildRequires:		python2-devel
 Requires:		%{name}%{?_isa} = %{version}-%{release}
 
-%description  -n python-%{name}
+%description  -n python2-%{name}
 This package contains bindings for developing Python applications that
 use %{name}.
 
 For further information read "README.python" included in the
 %{name}-doc package.
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitearch}/*
 
 
@@ -210,6 +211,10 @@ install -pm 0644 python/*.py %{buildroot}%{python3_sitearch}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.94-13
+- Python 2 subpackage renamed to python2-liblinear
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.94-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libnl3/libnl3.spec libnl3/libnl3.spec.tmp
index c4a10557ab..cd1d8b2db7 100644
--- libnl3/libnl3.spec
+++ libnl3/libnl3.spec.tmp
@@ -1,6 +1,6 @@
 Name: libnl3
 Version: 3.3.0
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: Convenience library for kernel netlink sockets
 Group: Development/Libraries
 License: LGPLv2
@@ -52,12 +52,13 @@ Requires: %{name} = %{version}-%{release}
 %description doc
 This package contains libnl3 API documentation
 
-%package -n python-libnl3
+%package -n python2-libnl3
+%{?python_provide:%python_provide python2-libnl3}
 Summary: libnl3 binding for Python 2
 Group: Development/Libraries
 Requires: %{name} = %{version}-%{release}
 
-%description -n python-libnl3
+%description -n python2-libnl3
 Python 2 bindings for libnl3
 
 %package -n python3-libnl3
@@ -141,7 +142,7 @@ popd
 %doc libnl-doc-%{fullversion}/images/icons/callouts/*
 %doc libnl-doc-%{fullversion}/api/*
 
-%files -n python-libnl3
+%files -n python2-libnl3
 %defattr(-,root,root,-)
 %{python2_sitearch}/netlink
 %{python2_sitearch}/netlink-*.egg-info
@@ -152,6 +153,10 @@ popd
 %{python3_sitearch}/netlink-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.3.0-3
+- Python 2 subpackage renamed to python2-libnl3
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libopensync-plugin-python/libopensync-plugin-python.spec libopensync-plugin-python/libopensync-plugin-python.spec.tmp
index e82891b6a2..c829c626fa 100644
--- libopensync-plugin-python/libopensync-plugin-python.spec
+++ libopensync-plugin-python/libopensync-plugin-python.spec.tmp
@@ -1,7 +1,7 @@
 Name:           libopensync-plugin-python
 Epoch:          1
 Version:        0.22
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Python plugin for libopensync
 
 Group:          System Environment/Libraries
@@ -13,9 +13,19 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  libopensync-devel = 1:0.22
 BuildRequires:  python-devel
 
-%description
+%global _description\
 %{summary}
 
+%description %_description
+
+%package -n python2-libopensync-plugin
+Summary: %summary
+%{?python_provide:%python_provide python2-libopensync-plugin}
+# Remove before F30
+Provides: libopensync-plugin-python = %{version}-%{release}
+
+%description -n python2-libopensync-plugin %_description
+
 %prep
 %setup -q
 
@@ -33,13 +43,17 @@ find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-libopensync-plugin
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING
 %{_libdir}/opensync/plugins/python*.so
 %{_libdir}/opensync/python-plugins/sample*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:0.22-16
+- Python 2 subpackage renamed to python2-libopensync-plugin
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libpfm/libpfm.spec libpfm/libpfm.spec.tmp
index ade969f1be..ada2c56b14 100644
--- libpfm/libpfm.spec
+++ libpfm/libpfm.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:		libpfm
 Version:	4.8.0
-Release:	5%{?dist}
+Release:	6%{?dist}
 
 Summary:	Library to encode performance events for use by perf tool
 
@@ -50,12 +50,15 @@ Static version of the libpfm library for performance monitoring
 applications for the perf_events interface.
 
 %if %{with python}
-%package python
+%package -n python2-libpfm
+%{?python_provide:%python_provide python2-libpfm}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python bindings for libpfm and perf_event_open system call
 Group:		Development/Languages
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-libpfm
 Python bindings for libpfm4 and perf_event_open system call.
 %endif
 
@@ -103,11 +106,15 @@ make \
 %{_libdir}/lib*.a
 
 %if %{with python}
-%files python
+%files -n python2-libpfm
 %{python_sitearch}/*
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.8.0-6
+- Python 2 subpackage renamed to python2-libpfm
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libplist/libplist.spec libplist/libplist.spec.tmp
index b7a787f625..d2d582b6e0 100644
--- libplist/libplist.spec
+++ libplist/libplist.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:     libplist
 Version:  2.0.0
-Release:  2%{?dist}
+Release:  3%{?dist}
 Summary:  Library for manipulating Apple Binary and XML Property Lists
 
 License:  LGPLv2+
@@ -25,13 +25,16 @@ Requires: pkgconfig
 %description devel
 %{name}, development headers and libraries.
 
-%package  python
+%package  -n python2-libplist
+%{?python_provide:%python_provide python2-libplist}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:  Python2 bindings for libplist
 %{?python_provide:%python_provide python2-libplist}
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Requires: python
 
-%description python
+%description -n python2-libplist
 %{name}, python2 libraries and bindings.
 
 %prep
@@ -74,10 +77,14 @@ make check
 %{_libdir}/libplist++.so
 %{_includedir}/plist
 
-%files python
+%files -n python2-libplist
 %{python_sitearch}/plist*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.0-3
+- Python 2 subpackage renamed to python2-libplist
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libpst/libpst.spec libpst/libpst.spec.tmp
index 033c4af4fb..9f89bd131a 100644
--- libpst/libpst.spec
+++ libpst/libpst.spec.tmp
@@ -1,7 +1,7 @@
 Summary:            Utilities to convert Outlook .pst files to other formats
 Name:               libpst
 Version:            0.6.71
-Release:            2%{?dist}
+Release:            3%{?dist}
 License:            GPLv2+
 Group:              Applications/Productivity
 Source:             http://www.five-ten-sg.com/%{name}/packages/%{name}-%{version}.tar.gz
@@ -42,7 +42,10 @@ utilities.
 %package python2
 Requires:           python2
 %else
-%package python
+%package -n python2-libpst
+%{?python_provide:%python_provide python2-libpst}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Requires:           python
 %endif
 Summary:            Python bindings for libpst
@@ -62,7 +65,7 @@ Requires:           %{name}-libs = %{version}-%{release}
 %if 0%{?fedora} > 25
 %description python2
 %else
-%description python
+%description -n python2-libpst
 %endif
 The libpst-python package allows you to use the libpst shared object
 from python code.
@@ -150,7 +153,7 @@ rm -rf $RPM_BUILD_ROOT
 %exclude %{python2_sitearch}/*.a
 %exclude %{python2_sitearch}/*.la
 %else
-%files python
+%files -n python2-libpst
 %defattr(-,root,root,-)
 %{python_sitearch}/_*.so
 %exclude %{python_sitearch}/*.a
@@ -182,6 +185,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.71-3
+- Python 2 subpackage renamed to python2-libpst
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.71-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libreport/libreport.spec libreport/libreport.spec.tmp
index 4158bf962c..88feadf177 100644
--- libreport/libreport.spec
+++ libreport/libreport.spec.tmp
@@ -6,7 +6,7 @@
 Summary: Generic library for reporting various problems
 Name: libreport
 Version: 2.9.1
-Release: 3%{?dist}
+Release: 4%{?dist}
 License: GPLv2+
 URL: https://abrt.readthedocs.org/
 Source: https://github.com/abrt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
@@ -91,7 +91,10 @@ Requires: libreport-web = %{version}-%{release}
 %description web-devel
 Development headers for libreport-web
 
-%package python
+%package -n python2-libreport
+%{?python_provide:%python_provide python2-libreport}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for report-libs
 # Is group correct here? -
 Requires: libreport = %{version}-%{release}
@@ -104,7 +107,7 @@ Obsoletes: report < 0:0.23-1
 Requires: libreport-plugin-rhtsupport = %{version}-%{release}
 %endif
 
-%description python
+%description -n python2-libreport
 Python bindings for report-libs.
 
 %package python3
@@ -504,7 +507,7 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 %{_includedir}/libreport/libreport_curl.h
 %{_libdir}/pkgconfig/libreport-web.pc
 
-%files python
+%files -n python2-libreport
 %{python_sitearch}/report/*
 %{python_sitearch}/reportclient/*
 
@@ -733,6 +736,10 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.9.1-4
+- Python 2 subpackage renamed to python2-libreport
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git librtfcomp/librtfcomp.spec librtfcomp/librtfcomp.spec.tmp
index 15714b2d59..7ce857aed0 100644
--- librtfcomp/librtfcomp.spec
+++ librtfcomp/librtfcomp.spec.tmp
@@ -1,7 +1,7 @@
 %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 Name:           librtfcomp
 Version:        1.1
-Release:        19%{?dist}
+Release:        20%{?dist}
 Summary:        Library for reading of compressed RTF files
 
 Group:          System Environment/Libraries
@@ -28,12 +28,15 @@ Requires:       python-devel Pyrex
 The %{name}-devel package contains libraries and header files for
 developing applications that use %{name}.
 
-%package        python
+%package        -n python2-librtfcomp
+%{?python_provide:%python_provide python2-librtfcomp}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for the %{name} library
 Group:          Development/Libraries
 Requires:       %{name} = %{version}-%{release}
 
-%description python
+%description -n python2-librtfcomp
 %{summary}
 
 %prep
@@ -73,11 +76,15 @@ rm -rf $RPM_BUILD_ROOT
 %{_includedir}/*
 %{_libdir}/*.so
 
-%files python
+%files -n python2-librtfcomp
 %defattr(-,root,root,-)
 %{python_sitearch}/pyrtfcomp.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-20
+- Python 2 subpackage renamed to python2-librtfcomp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libselinux/libselinux.spec libselinux/libselinux.spec.tmp
index 8c048aad34..dcdbe36212 100644
--- libselinux/libselinux.spec
+++ libselinux/libselinux.spec.tmp
@@ -9,7 +9,7 @@
 Summary: SELinux library and simple utilities
 Name: libselinux
 Version: 2.6
-Release: 8%{?dist}
+Release: 9%{?dist}
 License: Public Domain
 Group: System Environment/Libraries
 # https://github.com/SELinuxProject/selinux/wiki/Releases
@@ -58,12 +58,15 @@ Requires: %{name}%{?_isa} = %{version}-%{release}
 %description utils
 The libselinux-utils package contains the utilities
 
-%package python
+%package -n python2-libselinux
+%{?python_provide:%python_provide python2-libselinux}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: SELinux python bindings for libselinux
 Group: Development/Libraries
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-libselinux
 The libselinux-python package contains the python bindings for developing 
 SELinux applications. 
 
@@ -240,7 +243,7 @@ rm -rf %{buildroot}
 %defattr(-,root,root,-)
 %{_libdir}/libselinux.a
 
-%files python
+%files -n python2-libselinux
 %defattr(-,root,root,-)
 %dir %{python_sitearch}/selinux
 %{python_sitearch}/_selinux.so
@@ -262,6 +265,10 @@ rm -rf %{buildroot}
 %{ruby_vendorarchdir}/selinux.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6-9
+- Python 2 subpackage renamed to python2-libselinux
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Jul 28 2017 Petr Lautrbach <plautrba@redhat.com> - 2.6-8
 - Always unmount selinuxfs for SELINUX=disabled
 
